commit:     ce94734d80f516474dd8a2dfd8db623c550c80f7
Author:     Adel KARA SLIMANE <adel.ks <AT> zegrapher <DOT> com>
AuthorDate: Thu Jun 16 19:35:34 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 17 06:06:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce94734d

app-editors/vscodium: version bump to 1.68.1 + enable arm64

Signed-off-by: Adel KARA SLIMANE <adel.ks <AT> zegrapher.com>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-editors/vscodium/Manifest               |   3 +
 app-editors/vscodium/vscodium-1.68.1.ebuild | 115 ++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/app-editors/vscodium/Manifest b/app-editors/vscodium/Manifest
index 9f4e903b5814..2dec52df0b15 100644
--- a/app-editors/vscodium/Manifest
+++ b/app-editors/vscodium/Manifest
@@ -6,3 +6,6 @@ DIST vscodium-1.66.2-arm.tar.gz 97607835 BLAKE2B 
48106774775c021cfaa8beb4dc37625
 DIST vscodium-1.66.2-arm64.tar.gz 113498556 BLAKE2B 
3da540ec37cc73559f18d8dc975611a75c84a0d966224e36dc3182bc8f4fbd7a3628e1b789bf1480d861edc28bf7f29e6aa25f266848fd329c672d9f43d32887
 SHA512 
73adc6f1452738e3063abe16e09ceffc9c6a48d8b6f432df86bb51ce9cb8bd9b5bc134de4c5bca326b7af4a519191cefeb2a9138da2e5e09c09218d342eafe09
 DIST vscodium-1.67.2-amd64.tar.gz 115827064 BLAKE2B 
3e50d13408d465425f4aab384380c7275d4c75da1b307c0054a3292c8a9ae25407b9ce5bb970b7625e3570a2db3ba59aad92c7284e67ea9e599f294d0940e0ff
 SHA512 
83880081e3f5130da47958c50aa1c491a3b2afb62c4cec8b6cba4e8aeb6e15ba4268223e9995111ee9c61fcad35a6f4868aa2f594632a9eb2e143ceda2b04a49
 DIST vscodium-1.67.2-arm64.tar.gz 113531559 BLAKE2B 
74a5a2dbbb3775861195beca0283f9623500a62d862d6c2a3cd2b7e76494b96900a6a8b0df29cac19e95793c153330268b77c22e712f42a302a4d44410d2fc62
 SHA512 
e046449572fef71f6e3e0bcacc1ff874ce09db57a28bbdabbe86ae2cef9d8f80146f8e7a8c85d7007d4012e47203ccd8c6ce22dc069d5a86418c3b54b46ff6c5
+DIST vscodium-1.68.1-amd64.tar.gz 116928237 BLAKE2B 
82bb393fcb0f3d1ce63cee1ba927fd564d1bf2a8aa4283a518d8f40860e52d93d32b9e1e50bbc33b3ec53630a1cd1de457499f91d637b69043dcb818ef03e714
 SHA512 
f30c066d970530c462f027f3e94e06e4d62ca50e6093f3164f2a21b57d34c5a36823bea5f70f56beda87c27dcfc40f21ecd9d9da16353a78489246ef63419346
+DIST vscodium-1.68.1-arm.tar.gz 98741049 BLAKE2B 
76dcb5c5fce1c80fdfe9b21aab389ca13d5983c278e2594bc7aae1588cff4227d316257198407f049e58461161a13533008c0181cfc31fd33bf01978c4379968
 SHA512 
06d1d7814a4d85c23caefd345fb42c40ef4488333f1fcd2edee65c296e11892e758ea5d197de51f2fb59dac98f9f8c108849c45bdc5dbcd8cd49afe2afad5805
+DIST vscodium-1.68.1-arm64.tar.gz 114632027 BLAKE2B 
48cf6a5566817e0ae9a9b33f98a3eeb5385b303a200efc5704b8003e78c62e3865ce49fe425b9bb1a7deea9434c4cbb99550f0d73789c6123bb5ab307ef36fe9
 SHA512 
7c977a3aeef886583b48aa6882792811caee0661c73cbcc9cf3d98f7399dc7c7b3378be9e1848263211c2e71fbfab6b3a72debf92618c12781f0172522eff16f

diff --git a/app-editors/vscodium/vscodium-1.68.1.ebuild 
b/app-editors/vscodium/vscodium-1.68.1.ebuild
new file mode 100644
index 000000000000..2a4ae874205a
--- /dev/null
+++ b/app-editors/vscodium/vscodium-1.68.1.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop pax-utils xdg
+
+DESCRIPTION="A community-driven, freely-licensed binary distribution of 
Microsoft's VSCode"
+HOMEPAGE="https://vscodium.com/";
+SRC_URI="
+       amd64? ( 
https://github.com/VSCodium/${PN}/releases/download/${PV}/VSCodium-linux-x64-${PV}.tar.gz
 -> ${P}-amd64.tar.gz )
+       arm? ( 
https://github.com/VSCodium/${PN}/releases/download/${PV}/VSCodium-linux-armhf-${PV}.tar.gz
 -> ${P}-arm.tar.gz )
+       arm64? ( 
https://github.com/VSCodium/${PN}/releases/download/${PV}/VSCodium-linux-arm64-${PV}.tar.gz
 -> ${P}-arm64.tar.gz )
+"
+
+RESTRICT="mirror strip bindist"
+
+LICENSE="
+       Apache-2.0
+       BSD
+       BSD-1
+       BSD-2
+       BSD-4
+       CC-BY-4.0
+       ISC
+       LGPL-2.1+
+       MIT
+       MPL-2.0
+       openssl
+       PYTHON
+       TextMate-bundle
+       Unlicense
+       UoI-NCSA
+       W3C
+"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~arm64"
+IUSE=""
+
+RDEPEND="
+       app-accessibility/at-spi2-atk:2
+       app-accessibility/at-spi2-core:2
+       app-crypt/libsecret[crypt]
+       dev-libs/atk
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       media-libs/alsa-lib
+       media-libs/mesa
+       net-print/cups
+       sys-apps/dbus
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libdrm
+       x11-libs/libX11
+       x11-libs/libxcb
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libxkbcommon
+       x11-libs/libxkbfile
+       x11-libs/libXrandr
+       x11-libs/libxshmfence
+       x11-libs/pango
+"
+
+QA_PREBUILT="
+       /opt/vscodium/chrome_crashpad_handler
+       /opt/vscodium/chrome-sandbox
+       /opt/vscodium/codium
+       /opt/vscodium/libEGL.so
+       /opt/vscodium/libffmpeg.so
+       /opt/vscodium/libGLESv2.so
+       /opt/vscodium/libvk_swiftshader.so
+       /opt/vscodium/libvulkan.so*
+       /opt/vscodium/resources/app/extensions/*
+       /opt/vscodium/resources/app/node_modules.asar.unpacked/*
+       /opt/vscodium/swiftshader/libEGL.so
+       /opt/vscodium/swiftshader/libGLESv2.so
+"
+
+S="${WORKDIR}"
+
+src_install() {
+       # Cleanup
+       rm "${S}/resources/app/LICENSE.txt" || die
+
+       # Install
+       pax-mark m codium
+       insinto "/opt/${PN}"
+       doins -r *
+       fperms +x /opt/${PN}/{,bin/}codium
+       fperms +x /opt/${PN}/chrome_crashpad_handler
+       fperms 4711 /opt/${PN}/chrome-sandbox
+       fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass.sh
+       fperms 755 /opt/${PN}/resources/app/extensions/git/dist/askpass-empty.sh
+       fperms -R +x /opt/${PN}/resources/app/out/vs/base/node
+       fperms +x 
/opt/${PN}/resources/app/node_modules.asar.unpacked/@vscode/ripgrep/bin/rg
+       dosym "../../opt/${PN}/bin/codium" "usr/bin/vscodium"
+       dosym "../../opt/${PN}/bin/codium" "usr/bin/codium"
+       domenu "${FILESDIR}/vscodium.desktop"
+       domenu "${FILESDIR}/vscodium-url-handler.desktop"
+       domenu "${FILESDIR}/vscodium-wayland.desktop"
+       domenu "${FILESDIR}/vscodium-url-handler-wayland.desktop"
+       newicon "resources/app/resources/linux/code.png" "vscodium.png"
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       elog "When compared to the regular VSCode, VSCodium has a few quirks"
+       elog "More information at: 
https://github.com/VSCodium/vscodium/blob/master/DOCS.md";
+}

Reply via email to